/////////////////////////////////////////////////////////////////
//Copyright (C) 2005 NTT CORPORATION.
//
//	LO進捗クラス
//
//		変更履歴
//			2005.01.27  新規作成  Katsuhiko.Sakurai(UNITEC)
//
//	機能
//
//	このクラスはLOの進捗を表すクラスです。
//
////////////////////////////////////////////////////////////////
package jp.co.ntt.lms.lo.progress;

import java.util.ArrayList;
import java.util.List;

import jp.co.ntt.lms.lo.progress.util.LearningProgressConfigurationManager;

/**
 * LO進捗クラスです。
 * 
 * @author Katsuhiko Sakurai (UNITEC)
 * @version 1.0
 */
public class LOProgress extends AbstractLOProgress {

	/**
	 * コンストラクタです。
	 * 
	 * @param loID 対象となるLoID 
	 * @param targetUserID 対象となるユーザ・グループID 
	 * @param level 階層のレベル 
	 * @throws Exception
	 */
	public LOProgress( String loID, String targetUserID, int level ) throws Exception{
		super(loID, targetUserID, level );
	}
	
	/**
	 * コンストラクタです。
	 * 
	 * @param loID 対象となるLoID 
	 * @param targetUserID 対象となるユーザ・グループID 
	 * @param level 階層のレベル 
	 * @param config 外部設定ファイル情報 
	 * @throws Exception
	 */
	public LOProgress( String loID, String targetUserID, int level,
			LearningProgressConfigurationManager config) throws Exception{

		super(loID, targetUserID, level, config);
	}
	
	/**
	 * 進捗リストを生成します。
	 * 自分をリストに追加して返します。
	 * 
	 * @return List 進捗リスト 
 	 * @throws Exception
	 */
	public List getProgressList() {

		ArrayList list = new ArrayList();
		list.add(this);
		return list;
	}
}
